/***************************************************************** 
   load_data

	1. load data from unsigned char and IQ in BIP (FFT ready). 
	2. Nominal_mean and DC_bias correction.

by Dr. Hoonyol Lee 
Dept. of Geophysics
Kangwon National Univeristy
7 May 2004
*****************************************************************/ 

void load_data()
{
  	FILE *fp;	
	int i, j, data_pointer, ix;
	unsigned char *buf;

	buf=ucvector(nrange_fft*2);

	printf("\n load_data:\n");

	if((fp=fopen(fhead, "r"))==NULL)
	{
		printf(" (Error) Cannot open %s.\n\a", fhead);
		exit(0);
	}

	/* Read and write the input data in FFT-ready format */
	printf("  Read and write the input data in FFT-ready format.\n");
	data_pointer=0;
	for(i=0; i<nazimuth; i++)
	{
		
		/* double input data - reserved */ 
		/*fread(data+data_pointer, 1, nrange*sizeof(double)*2, fp);  
	 	*/
	
		/* unsigned char input data */
		fread(buf, 1, nrange*2, fp); 
		for(j=0; j<nrange*2; j++)
		   	data[data_pointer+j] = (double)buf[j];

		data_pointer += nrange_fft*2; 
	}
	fclose(fp); 

	/* Nominal Mean and DC bias compensation*/
	printf("  Nominal Mean and DC bias compensation.\n");
	for(i=0; i<nazimuth; i++)
	{
		ix = i*nrange_fft*2; 
		for(j=0; j<nrange; j++)
		{
			data[ix+2*j] -= (nominal_mean_I + DC_bias_I);
			data[ix+2*j+1] -= (nominal_mean_Q + DC_bias_Q);
		}
	}

}


